Routes
Get collection status
GEThttps://api.insurely.com/wealth/collection/{collectionId}/status
Returns the current status of an initiated collection of wealth data.
Request
Path Parameters
collectionIdstring
Header Parameters
Insurely-Versionstring
Specifies the API version to use. Must match the version of the endpoint you are targeting.
Possible Enum values are
2025-01-01.Responses
Status successfully fetched.
Body
companystring
Company that this collection is from
extraInformationCollectionStatusInformationMap
A key-value map containing potential extra information, depending on the company the collection is getting data from.
idstring
The collection ID of the request
pollingTimeoutstring[date-time]
The collection status must be polled before this timestamp. Failure to do so may result in the termination of the collection.
statusstring
Current status of the collection.
Possible Enum values are
RUNNING, LOGIN, TWO_FACTOR_PENDING, TWO_FACTOR_METHOD_SELECTION_TIMEOUT, CONTACT_FORM_PENDING, COLLECTION_INPUT_PENDING, COLLECTION_INPUT_TIMEOUT, COLLECTING, COMPLETED, COMPLETED_PARTIAL, COMPLETED_EMPTY, FAILED, FAILED_PDF_PARSE, FAILED_PDF_USER_INPUT, AUTHENTICATION_TIMEOUT, WAITING_FOR_USER_ACTION, INCORRECT_CREDENTIALS, AUTHENTICATION_CANCELLED, AUTHENTICATION_CONFLICT, ACCOUNT_TEMPORARILY_LOCKED, AUTHENTICATION_MISMATCH, KYC_FORM, CONTACT_FORM, CUSTOMER_ENROLLMENT_REQUIRED or THIRD_PARTY_ERROR.cURL
curl https://api.insurely.com/wealth/collection/{collectionId}/status \ -H "authorization-token: <authorization-token>"RESPONSE 200
{ "company": "se-avanza", "extraInformation": null, "id": "22e633bc-427d-4f4a-87cf-cfaca04ef351", "pollingTimeout": "2024-09-26T13:05:10.545Z", "status": "COLLECTING"}